<div fxLayout="column" fxLayoutAlign="space-around center" fxLayoutGap="100px" class="center-layout">

  <span class="title-page">{{'choix-du-compte' | translate}}</span>
  <div class="info-perso-yellow-ligne"></div>

  <span class="pour-commencer">
    {{'compte-simple' | translate}}
  </span>
  <div fxLayout="row" fxLayout.xs="column" fxLayoutAlign="space-evenly center" class="account-seconde-row">


    <div fxFlexAlign="baseline">
      <img class="account-img" [src]="OfferUrl">
    </div>

    <div fxLayout="column" fxLayoutAlign="center stretch">
      <div class="Offre-Bledi-100DT-HTan">
        <span class="text-style-1">{{OfferName}}<br /></span>
        <span class="text-style-2"> <span class="text-style-1">{{OfferPrice}}</span>DT HT/an</span>
      </div>


      <mat-checkbox class="rectangle-account-choice" *ngFor="let account of accounts" (change)="setAllAccounts(account)"
        [(ngModel)]="account.checked"  [ngStyle]="{'border':account.checked ? 'solid 1px #e5563e' : 'solid 1px #d6d6d6' }">
        <div class="compte-en-Dinars-Tunisien" fxLayout="column" fxLayoutAlign="space-around stretch">
          <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
            <span class="text-style-1">{{lang === 'fr' ? account.libelleFR : account.libelleEN}} </span>
            <img *ngIf="account.id===1" src="../../../assets/icones/icon-tooltip.svg"
                 class="icon-tooltip" (click)="triggerTooltip()" alt=""  fxHide.gt-xs>
                 <img *ngIf="account.id===1" src="../../../assets/icones/icon-tooltip.svg" class="display-none" alt=""
                 tooltip="Composante obligatoire du pack" [options]="myOptions">
            <ngx-flag-picker style="border-left: solid 1px #bfbfbf;font-family: SansPro;
          padding-left: 10px;
      " *ngIf="account.id===3" [selectedCountryCode]="selectedCountryCode" [countryCodes]="countryCodes"
              [customLabels]="{'eu':'EUR','us':'USD','gb':'GBP','ca':'CAD','dz':'DZD','bh':'BHD','dk':'DKK','le':'LEC','jp':'JPY','kw':'KWD',
          'ly':'LYD','mr':'MRO','ma':'MAD','no':'NOK','qa':'QAR','sa':'SAR','se':'SEK',
          'ch':'CHF','ae':'AED'}" (changedCountryCode)="changeSelectedCountryCode($event)">
            </ngx-flag-picker>
          </div>
          <span class="account-desc">{{lang === 'fr' ? account.descriptionFR :
            account.descriptionEN}} </span>
        </div>
      </mat-checkbox>

    </div>
  </div>
  <div fxLayout="row" fxLayoutAlign="space-evenly center">
    <button class="btn-retour button-ret" (click)="accountChoiceToPrevStep()" fxLayout="row"
      fxLayoutAlign="space-evenly center"><span class="material-icons">
        arrow_back_ios
      </span><span class="Retour">Retour</span></button>
    <button class="btn-continuer button-con" (click)="accountChoiceToNextStep()"><span
        class="continuer">Continuer</span></button>
  </div>
</div>
